clear all
r0=0;
rf=0.004;
T0=400;
rQr0=0;
eps=1e-6;
err=1;
derr=1;
while(abs(err/derr)>1e-3)
   [r,T]=ode45('p602af',[r0, rf],[T0, rQr0]);
   n=length(r);
   Tn=T(n,1);
   err=Tn-288.15;
   T0=T0+eps;
   [r,T]=ode45('p602af',[r0, rf],[T0, rQr0]);
   Tn=T(n,1);
   err1=Tn-288.15;
   T0=T0-eps;
   derr=(err1-err)/eps;
   T0=T0-err/derr;
end
for i=1:n
if(r(i)>0)
Qr(i)=T(i,2)/r(i);
else
Qr(i)=0;   
end
end
% Temperature Profile
figure(1);
plot(r,T(:,1));
xlabel('r'), ylabel('T')
axis([0,0.004,270,420])
%Heat Flux Profile
figure(2);
plot(r,Qr);
xlabel('r'), ylabel('Qr')
axis([0,0.004,0,3e5])
