clear all
r0=0;
rf=0.004;
D=2*rf;
T0=457;
rQr0=0;
eps=1e-6;
err=1;
derr=1;
while(abs(err/derr)>1e-3)
   [r,T]=ode45('p602bf',[r0, rf],[T0, rQr0]);
   n=length(r);
   Tn=T(n,1);
   Qrn=T(n,2)/r(n);
   deltaT=abs(Tn-288.15);
   h=1.32*(deltaT/D)^(1/4);
   err=Qrn-h*deltaT;
   T0=T0+eps;
   [r,T]=ode45('p602bf',[r0, rf],[T0, rQr0]);
   Tn=T(n,1);
   Qrn=T(n,2)/r(n);
   deltaT=abs(Tn-288.15);
   h=1.32*(deltaT/D)^(1/4);
   err1=Qrn-h*deltaT;
   T0=T0-eps;
   derr=(err1-err)/eps;
   T0=T0-err/derr;
end
% Temperature Profile
plot(r,T(:,1));
xlabel('r'), ylabel('T')
