clear all
r0=0.08333;
rf=0.25;
B=0.5/12;
T0=260;
rQr0=500;
h=3;
Tinf=60;
eps=1e-6;
err=1;
derr=1;
while(abs(err/derr)>1e-3)
   [r,T]=ode45('p605f',[r0, rf],[T0, rQr0]);
   n=length(r);
   n=n(1,1);
   T2=T(n,1);
   rQr2=T(n,2);
   r2=r(n);
   err=rQr2-r2*h*(T2-Tinf);
   rQr0=rQr0+eps;
   [r,T]=ode45('p605f',[r0, rf],[T0, rQr0]);
   T2=T(n,1);
   rQr2=T(n,2);
   err1=rQr2-r2*h*(T2-Tinf);
   rQr0=rQr0-eps;
   derr=(err1-err)/eps;
   rQr0=rQr0-err/derr;
end
qr=2*pi*B*T(:,2);
%Heat Transfer Rate Profile
plot(r,qr);
xlabel('r'), ylabel('qr')
axis([0.06,0.26,20,160])
